<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [openTail](./bitburner.userinterface.opentail.md)

## UserInterface.openTail() method

Open the tail window of a script.

**Signature:**

```typescript
openTail(fn?: FilenameOrPID, host?: string, ...args: ScriptArg[]): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

fn


</td><td>

[FilenameOrPID](./bitburner.filenameorpid.md)


</td><td>

_(Optional)_ Optional. Filename or PID of the script being tailed. If omitted, the current script is tailed.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP of the script being tailed. Defaults to the server this script is running on. If args are specified, this is not optional.


</td></tr>
<tr><td>

args


</td><td>

[ScriptArg](./bitburner.scriptarg.md)<!-- -->\[\]


</td><td>

Arguments for the script being tailed.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Opens a script’s logs. This is functionally the same as the tail Terminal command.

If the function is called with no arguments, it will open the current script’s logs.

Otherwise, the PID or filename, hostname/ip, and args… arguments can be used to get the logs from another script. Remember that scripts are uniquely identified by both their names and arguments.

## Example


```js
//Open logs from foo.js on the current server that was run with no args
ns.ui.openTail("foo.js");

//Get logs from foo.js on the foodnstuff server that was run with no args
ns.ui.openTail("foo.js", "foodnstuff");

//Get logs from foo.js on the foodnstuff server that was run with the arguments [1, "test"]
ns.ui.openTail("foo.js", "foodnstuff", 1, "test");
```

